<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__crypto__lld__mem__functions" kind="group">
    <compoundname>group_crypto_lld_mem_functions</compoundname>
    <title>Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga2a34cb65f8bc94c4c68b3c4bd384e375" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemCpy</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemCpy</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCpy uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the source of MemCpy.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the copy operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="77" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="77" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga124378fe993bb15ea0fe657a1c4ba33f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemSet</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, uint8_t data, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemSet</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>data</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemSet uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemSet.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>data</parametername>
</parameternamelist>
<parameterdescription>
<para>The value to be set.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the set operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="119" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="109" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1ga6ad5530dd2e90ea0ed5f29284d040843" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint32_t</type>
        <definition>__STATIC_INLINE uint32_t Cy_Crypto_Core_MemCmp</definition>
        <argsstring>(CRYPTO_Type *base, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemCmp</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemCmp uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemCmp.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>the size in bytes of the compare operation.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>0 - if Source 1 = Source 2, 1 - if not. </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="157" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="144" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="144" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__crypto__lld__mem__functions_1gadbdb5f2f1f637f16483d119beb7df424" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE void</type>
        <definition>__STATIC_INLINE void Cy_Crypto_Core_MemXor</definition>
        <argsstring>(CRYPTO_Type *base, void *dst, void const *src0, void const *src1, uint16_t size)</argsstring>
        <name>Cy_Crypto_Core_MemXor</name>
        <param>
          <type>CRYPTO_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>dst</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src0</declname>
        </param>
        <param>
          <type>void const *</type>
          <declname>src1</declname>
        </param>
        <param>
          <type>uint16_t</type>
          <declname>size</declname>
        </param>
        <briefdescription>
<para>Function MemXor uses Crypto HW. </para>        </briefdescription>
        <detaileddescription>
<para>Memory structures should not overlap! There is no alignment restriction.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the CRYPTO instance.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>dst</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the destination of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src0</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the first source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>src1</parametername>
</parameternamelist>
<parameterdescription>
<para>The pointer to the second source of MemXor.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>size</parametername>
</parameternamelist>
<parameterdescription>
<para>The size in bytes of the compare operation. </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="194" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" bodystart="183" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_crypto_core_mem.h" line="183" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>